Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
guardian
/
factors
/
push-notification
/
providers
/
apns
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
    management "github.com/auth0/go-auth0/management"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Factors.PushNotification.SetApnsProvider(
        context.TODO(),
        &management.SetGuardianFactorsProviderPushNotificationApnsRequestContent{},
    )
}
{
  "sandbox": true,
  "bundle_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

sandbox
boolean
bundle_id
string | null
Required string length: 1 - 1000
p12
string | null
Required string length: 1 - 10000

Response

APNS configuration successfully updated.

sandbox
boolean
bundle_id
string | null
Required string length: 1 - 1000